2003-05-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.24 (quimby) revision 00.

2003-05-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.23 revision 00.

2003-05-01  Simon Josefsson  <jas@extundo.com>

	* GNUS-NEWS: Add prefix limit feature.

2003-05-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.23 (quimby) revision 00.

2003-05-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.22 revision 00.

2003-05-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.21 (quimby) revision 00.

2003-05-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.20 revision 00.

2003-04-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* GNUS-NEWS: Added Article Buttons.  Added Upgrading (from Simon
	Josefsson).  Add gnus-mime-delete-part, markup fixes and some
	other corrections.  Mention Gnus FAQ.

2003-04-30  Jesper Harder  <harder@ifa.au.dk>

	* GNUS-NEWS: Additions.

2003-04-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/lpath.el: Bind `default-mime-charset-unlimited'.

2003-04-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/dgnushack.el: Autoload font-lock and nnheader for XEmacs
	-no-autoloads.

	* lisp/pop3.el: Require `advice' for compiling it in Gnus.

2003-04-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* GNUS-NEWS: Fixed X-Draft-Headers entry.

2003-04-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/dgnushack.el: Make sure `dolist' is available; require
	`advice' before `path-util'; revoke the bogus change of 2003-04-17
	(removing function bindings for XEmacs).
	(dgnushack-remove-extra-files-in-package): Clear the value for
	`command-line-args-left'.
	(dgnushack-install-package-manifest): Ditto.

	* texi/infohack.el: Load dgnushack.el and ptexinfmt.el first.

2003-04-27  Simon Josefsson  <jas@extundo.com>

	* GNUS-NEWS: Fix PGP entry.  Doc GCC variable change.

2003-04-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.20 (quimby) revision 00.

2003-04-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.19 revision 00.

2003-04-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/nnheader.el (nnheader-coding-system-p): New function.
	(mm-coding-system-p): Alias to `nnheader-coding-system-p'.

2003-04-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-clfns.el (coerce, copy-list, merge, string, subseq):
	Comment out those compiler macros.
	(mapc): Make it comeback.

2003-04-22  Reiner Steib  <Reiner.Steib@gmx.de>

	* make.bat: Flag as binary to ensure DOS line terminators.  Delete
	trailing whitespace.

2003-04-21  Reiner Steib  <Reiner.Steib@gmx.de>
	From Frank Schmitt  <ich@frank-schmitt.net>

	* etc/gnus-tut.txt: Update Gnus FAQ, delete trailing whitespace.

2003-04-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* Makefile.in (xclever-package, xlick-package): New rules.
	(install-package, install-package-ja, package, package-ja): Use
	them.
	(install-package-manifest, remove-extra-files-in-package,
	compose-package): Specify the lisp directory for XEmacs package.

	* aclocal.m4 (AC_PATH_INFO_DIR): Say a note for XEmacs package.

	* lisp/dgnushack.el: Remove useless function bindings for XEmacs.
	(dgnushack-install-package-manifest): Create the pkginfo directory.

	* lisp/lpath.el: Fbind `compare-strings' for Mule 2.

2003-04-17  Kevin Greiner  <kgreiner@xpediantsolutions.com>

	* make.bat: Cleaned up end-of-line characters.

2003-04-17  Steve Youngs  <youngs@xemacs.org>

	* Makefile.in (XEMACS): Use @EMACS@.

	* aclocal.m4 (AC_PATH_LISPDIR): Set $datadir to $prefix/lib if
	building with XEmacs.

	* aclocal.m4 (AC_SET_BUILD_FLAGS): New.  So we can set XEmacs
	command line options to '-batch -no-autoloads...' for a cleaner
	build environment.

	* configure.in: Use it.

	* configure: Regenerate.

2003-04-16  Reiner Steib  <Reiner.Steib@gmx.de>
	From Frank Schmitt  <ich@frank-schmitt.net>

	* make.bat: New variable EMACS_ARGS.  Changed XEmacs args.

2003-04-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/lpath.el: Fbind `coding-system-base' for Mule 2.

2003-04-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.19 (quimby) revision 00.

2003-04-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.18 revision 00.

	* lisp/message.el (message-forward-subject-name-subject): Rewrite.

	* lisp/mail-source.el (mail-source-fetch-pop): Require `pop3'
	explicitly.
	(mail-source-check-pop): Ditto.

2003-04-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/nnmail.el (nnmail-split-it): Revoke the change of 1999-08-19.

2003-04-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/pop3.el (pop3-uidl-support): Default to nil; change the
	meaning of a value which it may contain into an alist of servers
	and flags of whether they support UIDLs.
	(pop3-get-message-numbers): Don't check uidls when
	`pop3-leave-mail-on-server' is nil; synch it with the change of
	`pop3-uidl-support'.
	(pop3-get-uidl): Synch it with the change of `pop3-uidl-support'.

2003-03-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.18 (quimby) revision 00.

2003-03-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.17 revision 00.

2003-03-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-art.el (gnus-article-x-face-command): Don't examine
	functions if `noninteractive'.
	(gnus-article-should-use-smiley-mule): Don't examine values if
	`noninteractive'.
	(gnus-treat-display-face): Default to nil if x-face-e21 is
	available.
	(gnus-treat-display-smileys): Don't examine values if
	`noninteractive'.

	* lisp/message.el (message-yank-original): Check not only the
	References field but the `message-reply-headers' variable.

	* lisp/imap.el (imap-tls-open): Don't bind coding-systems; use
	`set-buffer-multibyte' instead of `imap-disable-multibyte'.

	* lisp/tls.el: Require `pces'.
	(open-tls-stream): Use `as-binary-process'.

2003-03-23  Simon Josefsson  <jas@extundo.com>

	* GNUS-NEWS: Add IDNA.  Add TLS.  Fix USEFOR reference.

2003-03-22  Frank Schmitt  <ich@frank-schmitt.net>

	* make.bat: Redone from scratch; supports both Emacs and XEmacs
	now; correctly generate gnus-load.el; check for errors; use
	makeinfo if available, infohack.el if it isn't; be less verbose
	when copying files; copy files from etc/gnus and etc/smilies, too

2003-03-22  Frank Schmitt  <ich@frank-schmitt.net>

	* make-x.bat: Removed, make.bat does its job now.

2003-03-22  Frank Schmitt  <ich@frank-schmitt.net>

	* etc/gnus-tut.txt: Include Gnus FAQ from http://my.gnus.org.

2003-03-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.17 (quimby) revision 00.

2003-03-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.16 revision 00.

2003-03-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-ofsetup.el: Don't require `read-passwd'; don't set
	`mail-source-read-passwd' and `gnus-setup-news-hook'.

	* contrib/passwd.el: New file.

2003-02-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-offline.el (gnus-offline-add-custom-header): Use
	insert instead of insert-string which is obsolete in Emacs 21.4
	(synch to the change of Jesper Harder at 2003-02-20).

2003-02-19  Reiner Steib  <Reiner.Steib@gmx.de>

	* GNUS-NEWS: Renamed `gnus-unsightly-citation-regexp' to
	`gnus-cite-unsightly-citation-regexp'.

2003-02-18  Simon Josefsson  <jas@extundo.com>

	* GNUS-NEWS: Talk about canlock more.

2003-02-13  Kai Gro,A_(Bjohann  <kai.grossjohann@uni-duisburg.de>

	* GNUS-NEWS: Add user visible changes from Michael Shields from
	the past couple of days.  Actual text from Michael.

2003-02-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.16 (quimby) revision 00.

2003-02-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.15 revision 00.

2003-01-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.15 (quimby) revision 00.

2003-01-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.14 revision 00.

2003-01-24  Jesper Harder  <harder@ifa.au.dk>

	* etc/gnus-tut.txt: Update.

2003-01-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* texi/infohack.el (infohack-texi-format): Withdraw the change of
	2003-01-17.

2003-01-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.14 (quimby) revision 00.

2003-01-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.13 revision 00.

2003-01-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* texi/infohack.el (infohack-texi-format): Insert one excessive
	newline after a @foo{bar} thing to prevent clinging of a line and
	a line (old texinfmt bug?) if it should be considered only one
	thing in a line.

2003-01-17  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* .cvsignore: Import from Oort Gnus.
	* contrib/.cvsignore: Ditto.
	* etc/.cvsignore: Ditto.
	* lisp/.cvsignore: Ditto.
	* texi/.cvsignore: Ditto.
	* texi/ps/.cvsignore: Ditto.

2003-01-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-msg.el (gnus-summary-digest-mail-forward): Set article
	numbers to be marked.

2003-01-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	(A forgotten thing to synchronize to Oort Gnus.)
	* lisp/gnus-msg.el (gnus-summary-mail-forward): To many lists of
	lists.

2003-01-15  Simon Josefsson  <jas@extundo.com>

	* GNUS-NEWS: Add.  Fix from Reiner Steib
	<4uce.02.r.steib@gmx.net>.

2003-01-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/binhex.el: Require `path-util'.
	* lisp/gnus-audio.el: Ditto.
	* lisp/spam.el: Ditto.
	* lisp/uudecode.el: Ditto.

	* lisp/binhex.el (binhex-use-external): Replace `executable-find'
	with `exec-installed-p'.
	* lisp/gnus-audio.el (gnus-audio-au-player): Ditto.
	(gnus-audio-wav-player): Ditto.
	* lisp/spam.el (spam-ifile-path): Ditto.
	(spam-bogofilter-path): Ditto.
	* lisp/uudecode.el (uudecode-use-external): Ditto.

	* lisp/gnus-int.el (gnus-agent-expire): Make arguments optional.

2003-01-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-util.el (gnus-read-event-char): Take an optional
	parameter even if Mule 2.3 is running.

2003-01-10  Reiner Steib  <Reiner.Steib@gmx.de>

	* make.bat: Removed "-no-init-file" (it's the same as "-q").  Use
	new variables EMACSBATCH and GNUS_INFO_DIR.  Install gnus-?,
	message-?, sieve and pgg (in texi).  Added hint for dir entries.

	* make-x.bat: Ditto.

2003-01-13  Simon Josefsson  <jas@extundo.com>

	* GNUS-NEWS: Add smileys, Sender:, message-utils.
	Expand anti-spam.  Fixes.

2003-01-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.13 (quimby) revision 00.

2003-01-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.12 revision 00.

2003-01-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.12 (quimby) revision 00.

2003-01-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.11 revision 00.

2003-01-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus.art.el (gnus-treat-predicate): Don't follow the Change
	of Oort Gnus at 2003-01-02; reverted.

	* lisp/message.el (message-tool-bar-map): Commented out MIME-Edit
	buttons.

2003-01-09  Simon Josefsson  <jas@extundo.com>

	* etc/gnus/preview.xpm: Add.

2003-01-06  Simon Josefsson  <jas@extundo.com>

	* etc/gnus/receipt.xpm: Add.

2003-01-10  Jesper Harder  <harder@ifa.au.dk>

	* etc/gnus/preview.xbm: Add.

2003-01-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/message.el (message-tool-bar-map): Fix keymap for MIME-Edit.

2003-01-09  NAKAJI Hiroyuki  <nakaji@tutrp.tut.ac.jp>

	* README.semi.ja: "What's T-gnus?" is revised.

	* README.semi: Ditto.

2003-01-07  Keiichi Suzuki  <keiichi@nanap.org>

	* lisp/message.el (message-setup-1): Don't call
	`message-use-alternative-email-as-from' if it isn't for replying.

2003-01-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* etc/gnus/gnus.xpm (oort): Make the color replaceable.

2003-01-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.11 (quimby) revision 00.

2003-01-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.10 revision 00.

2003-01-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-xmas.el (gnus-xmas-group-startup-message): Bind the
	color for the symbol `oort' as `gnus-group-startup-message' does.

2002-12-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-start.el (gnus-re-read-newsrc-el-file): Commented out.
	(gnus-load): Allow coding-system as an argument.

2002-12-16  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* lisp/nnimap.el (nnimap-callback): Use `nnimap-demule'.
	(nnimap-request-article-part): Ditto.

2002-12-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* texi/Makefile.in (%.info, .texi): Conceal control procedures.

2002-12-05  Kai Gro,A_(Bjohann  <kai.grossjohann@uni-duisburg.de>

	* etc/smilies/*.pbm: Made them binary.

2002-11-28  Daiki Ueno  <ueno@unixuser.org>

	* lisp/gnus-agent.el (gnus-agent-fetch-headers): Don't refer to
	the value of `gnus-agent-file-name'.

2002-11-28  Daiki Ueno  <ueno@unixuser.org>

	* lisp/gnus-agent.el (gnus-agent-fetch-group-1): Article numbers
	should be accessed through `mail-header-number'.

2002-11-24  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* lisp/mm-url.el (mm-url-program): Use `exec-installed-p' instead of
	`executable-find'.

2002-11-13  Kai Gro,A_(Bjohann  <kai.grossjohann@uni-duisburg.de>

	* etc/smilies/blink.xpm: Changed smileys and some new ones from
	Alex Schroeder <alex@emacswiki.org>.

2002-11-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-sum.el (gnus-summary-inherit-default-charset): Inherit
	the value for `default-mime-charset-unlimited' as well.
	(gnus-summary-setup-default-charset): Bind
	`default-mime-charset-unlimited' to nil for nndraft:delayed or
	nndraft:drafts groups.

	* lisp/gnus-art.el (gnus-article-prepare-display): Don't use
	MIME-View for nndraft:delayed or nndraft:drafts groups.
	(gnus-article-decode-article-as-default-mime-charset): Don't
	decode an article for nndraft:delayed or nndraft:drafts groups.

2002-11-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/nndraft.el (nndraft-request-article): Don't give a special
	treatment to Mule.

	* lisp/nnheader.el (nnheader-auto-save-coding-system): Undo last
	change to restore the default value to emacs-mule or escape-quoted.

2002-11-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-art.el (gnus-article-mime-edit-article-setup): Don't
	perform `mime-edit-again' for a delayed or a queued article.
	(gnus-article-mime-edit-done): Bind `inhibit-read-only' to t while
	running `gnus-article-edit-done'.

2002-10-30  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/dgnushack.el (dgnushack-bind-colon-keywords): Protect
	against unexpected data structure.

2002-10-30  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/nnshimbun.el: Clean up codes.
	(nnshimbun-buffer, nnshimbun-current-directory)
	(nnshimbun-current-group, nnshimbun-server-directory): Removed.
	(nnshimbun-current-server, nnshimbun-server-directory)
	(nnshimbun-current-group, nnshimbun-current-directory): New macros.
	(nnshimbun-backlog, nnshimbun-find-parameter): Use
	`nnshimbun-current-server'.
	(nnshimbun-possibly-change-group, nnshimbun-open-server):
	Reimplemented.
	(nnshimbun-close-server): Do not kill `nnshimbun-buffer'.
	(nnshimbun-request-article-1, nnshimbun-request-list): Use
	`erase-buffer' instead of `delete-region'.
	(nnshimbun-request-article): Use `nnshimbun-current-group'.
	(nnshimbun-request-group): Remove redundant checks.
	(nnshimbun-request-scan): Check arguments strictly.
	(nnshimbun-retrieve-headers, nnshimbun-retrieve-headers-with-nov):
	Reimplemented.
	(nnshimbun-generate-nov-database, nnshimbun-search-id)
	(nnshimbun-write-nov, nnshimbun-request-expire-articles):
	Simplified.
	(nnshimbun-nov-buffer-name, nnshimbun-nov-file-name): Make the
	first argument optional.
	(nnshimbun-open-nov): Bind variables to set coding systems for
	path names.
	(nnshimbun-possibly-change-group, nnshimbun-request-article)
	(nnshimbun-write-nov): Strict checking.
	(nnshimbun-request-expire-articles): Small fix.

2002-10-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 05.

	* lisp/nnheader.el (nnheader-auto-save-coding-system): Default to
	`iso-2022-7bit'.

2002-10-29  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/nnshimbun.el (nnshimbun-request-article-1): Install trick
	to keep compatibility between T-gnus and Oort Gnus.

2002-10-29  Tadashi Watanabe  <watanabe@sigmaitec.co.jp>

	* lisp/nnshimbun.el (nnshimbun-request-expire-articles): Do not
	use removed variables.

2002-10-29  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/nnshimbun.el: Clean up.
	(nnshimbun-nov-last-check): Removed.
	(nnshimbun-nov-buffer-alist): Removed.
	(nnshimbun-nov-buffer-file-name): Removed.
	(nnshimbun-close-server): Use `nnshimbun-write-nov' instead of
	`nnshimbun-save-nov'.
	(nnshimbun-mail-header-subject): Removed.
	(nnshimbun-mail-header-from): Removed.
	(nnshimbun-make-shimbun-header): Removed.
	(nnshimbun-parse-nov): New function.
	(nnshimbun-request-article-1): Use `nnshimbun-parse-nov' instead
	of `nnheader-parse-nov'.
	(nnshimbun-retrieve-headers): Likewise.
	(nnshimbun-nov-buffer-name): New function.
	(nnshimbun-nov-file-name): Ditto.
	(nnshimbun-open-nov): Clean up.
	(nnshimbun-write-nov): Ditto; Aceept the 2nd optional argument.
	(nnshimbun-save-nov): Removed.

2002-10-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/dgnushack.el (dgnushack-dont-compile-files): New constant
	containing almost all mm*.el.
	(dgnushack-compile): Don't byte-compile the file in
	`dgnushack-dont-compile-files'.

2002-10-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 04.
	(gnus-version): T-gnus supports SEMI 1.14 and FLIM 1.14.

	* lisp/mmgnus.el: Remove commented obsolete definitions.

	* lisp/message.el (message-header-hook): Replace
	`eword-encode-header' with `mime-encode-header-in-buffer'.
	(message-send-mail-with-smtp): Don't use `smtp-via-smtp'.

2002-10-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/mm-url.el (mm-url-form-encode-xwfu): Use
	`file-coding-system' instead of `buffer-file-coding-system' when
	Mule 2 is running.

	* lisp/gnus-group.el: Require `mm-url' only when compiling.
	(gnus-group-fetch-charter): Require `mm-url'.

	* lisp/gnus.el (gnus-default-charset): Default to `iso-8859-1'.

2002-09-13  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/nnheader.el (toplevel) [XEmacs]: Remove code to define
	`emacs-mule' coding-system, because the generated coding system is
	not compatible to the original coding system of FSF Emacs.

2002-09-12  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/nnheader.el (toplevel) [XEmacs]: Define `emacs-mule' coding
	system in order to cancel difference on coding systems of
	auto-saved files between FSF Emacs and XEmacs.
	(nnheader-auto-save-coding-system) [Mule]: The default value of
	Mule2 is changed from `*junet*' to `*internal*', in order to unify
	coding system of files auto-saved by Mule2.

2002-09-08  Daiki Ueno  <ueno@unixuser.org>

	* lisp/gnus-msg.el (gnus-configure-posting-styles): Follow the
	change of arglist of gnus-configure-posting-style.
	(gnus-configure-posting-style): Check circular import.

2002-09-08  Daiki Ueno  <ueno@unixuser.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 03.

	* lisp/gnus-msg.el (gnus-named-posting-styles): Defcustom.
	(gnus-posting-styles): Allow (import "...").
	(gnus-configure-posting-style): Splitted from
	gnus-configure-posting-styles.
	(gnus-summary-execute-command-with-posting-style): Fix prompt string.

	* lisp/gnus-cus.el (gnus-group-parameters): Allow (import "...")
	in posting-styles.

2002-09-08  Daiki Ueno  <ueno@unixuser.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 02.

	* lisp/gnus-msg.el (gnus-named-posting-styles): New variable.
	(gnus-summary-send-map): Bind "P" to
	gnus-summary-execute-command-with-posting-style.
	(gnus-configure-posting-styles): Expand named entries in
	gnus-posting-styles.
	(gnus-summary-execute-command-with-posting-style): New command.

2002-09-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 01.

	* lisp/gnus-msg.el (gnus-copy-article-buffer): Set a copy buffer
	mutibyte; remove invisible and intangible test properties from a
	copied article.

2002-09-05  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* texi/ptexinfmt.el: discard @documentdescription.  Support
	@ifplaintext, @ifnotplaintext, @ifhtml.  Remove obsolete commands.
	(texinfo-format-ifhtml, texinfo-format-ifplaintext): New function.

2002-09-04  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/gnus-namazu.el (gnus-namazu/highlight-words): Stricten
	regular expression to highlight keywords.

2002-08-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/lpath.el: Fbind `smtpmail-send-it' for Mule 2.

2002-08-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-util.el (frame-parameter): New function for oldies.

2002-08-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-frame): Remove.

2002-08-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: Fix T-gnus version number.

2002-08-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.8 revision 00.

2002-08-06  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/gnus-namazu.el (gnus-namazu-update-index): Handle error
	messages printed by Namazu.
	(gnus-namazu/update-sentinel): Likewise.
	(gnus-namazu-need-path-normalization): Change its default value.
	(gnus-namazu/normalize-results): Remove `file://' prefix.

	* texi/gnus-ja.texi (Namazu Groups): Update documents.

	* lisp/gnus-namazu.el (gnus-namazu/update-p): Print error
	messages.
	(gnus-namazu-update-index): Small clean up.
	(gnus-namazu-update-all-indices): Ditto.

2002-08-05  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/gnus-namazu.el: Bug fix of updating multiple indices.
	(gnus-namazu/setup): Call `gnus-namazu-update-all-indices' without
	arguments.
	(gnus-namazu-create-index): Clean temporary files even if an
	indexer is killed.
	(gnus-namazu/update-p): New function.
	(gnus-namazu-update-all-indices): Reimplemented.
	(gnus-namazu-update-index): Call `gnus-namazu/update-p' to decide
	whether the specified index will be updated.
	(gnus-namazu/update-sentinel): Follow the change of
	`gnus-namazu-update-all-indices'.

2002-08-05  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/gnus.el (toplevel): Add autoloads for
	`gnus-namazu-create-index', and `gnus-namazu-update-all-indices'
	and `gnus-namazu-update-index'.

	* lisp/gnus-namazu.el: Support automatically updating multiple
	indices.
	(gnus-namazu-make-index-interval): Abolished.
	(gnus-namazu-index-update-interval): New option.
	(gnus-namazu/setup): Call `gnus-namazu-update-all-indices' instead
	of `gnus-namazu-make-index'.
	(gnus-namazu/mknmz-process): Abolished.
	(gnus-namazu/status-file-name): New macro.
	(gnus-namazu-make-index, gnus-namazu-make-index-stop,
	gnus-namazu/mknmz-sentinel): Removed.
	(gnus-namazu/mknmz-cleanup, gnus-namazu/index-old-p): New function.
	(gnus-namazu-create-index, gnus-namazu-update-all-indices,
	gnus-namazu-update-index, gnus-namazu-stop-update): New command.
	(gnus-namazu/update-directories, gnus-namazu/update-process): New
	internal variable.

2002-07-31  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/gnus-namazu.el: Support automatically updating index.
	(gnus-namazu-default-index-directory): New constant.
	(gnus-namazu-make-index-interval, gnus-namazu-make-index-command,
	gnus-namazu-make-index-arguments): New options.
	(gnus-namazu/setup): Call `gnus-namazu-make-index'.
	(gnus-namazu/real-group-name): Renamed from
	`gnus-namazu/check-cache-group'.
	(gnus-namazu/cache-group-candidates): Renamed from
	`gnus-namazu/cache-group-candidates'.
	(gnus-namazu/search): Experimental support of articles covered by
	agent.
	(gnus-namazu/default-index-directory, gnus-namazu/lapse-seconds,
	gnus-namazu/mknmz-sentinel): New internal functions.
	(gnus-namazu/mknmz-process): New internal variable.
	(gnus-namazu/lock-file-name, gnus-namazu/index-file-name): New
	macros.
	(gnus-namazu-make-index, gnus-namazu-make-index-stop): New
	commands.

2002-07-30  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/gnus-namazu.el (gnus-namazu/request-list): Removed.
	(gnus-namazu/get-current-to): New function.
	(gnus-namazu/complete-query): Call the above.

2002-07-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/pop3.el: Don't autoload "ssl".
	(pop3-open-ssl-stream-1): Require `ssl' before binding ssl-* vars.

2002-07-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-namazu.el (gnus-namazu/truncate-article-list): Remove
	a redundancy.

2002-07-11  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* texi/gnus-ja.texi (Web Newspaper): Update the url of w3m.

2002-07-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-sum.el (gnus-summary-mode-map): Replace
	`gnus-article-toggle-headers' with `gnus-summary-toggle-header'.
	(gnus-summary-wash-map): Ditto.
	(gnus-summary-wash-hide-map): Replace
	`gnus-article-toggle-headers' with `gnus-article-hide-headers'.
	(gnus-summary-article-menu): Ditto.

	* lisp/gnus.el: Remove autoload for `gnus-article-toggle-headers'.

	* lisp/gnus-art.el (article-toggle-headers): Abolished.

2002-07-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/dgnushack.el (byte-optimize-form-code-walker): Don't modify
	the function definition if the bug has already gone; revert to the
	use of `defadvice'.

2002-07-03  Keiichi Suzuki  <keiichi@nanap.org>

	* lisp/gnus-logic.el (gnus-advanced-index): Use luna based index
	numbers.

2002-06-26  Tetsuo Tsukamoto  <czkmt@remus.dti.ne.jp>

	* lisp/imap.el (imap-ssl-open-2): Do away with w32-related
	workaround I installed on 1999-12-28, i.e. also call
	`as-binary-process' in windows-nt.

2002-06-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* contrib/hashcash.el: Require `cl' when compiling.
	(hashcash-strip-quoted-names): Replace `subseq' with `substring'.
	(mail-add-payment): Allow no `mail-header-separator' in the buffer;
	don't use `mapc'.

2002-06-25  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/gnus-namazu.el (gnus-namazu/truncate-article-list): When
	`gnus-large-newsgroup' is equal to nil, no confirmation is
	required.

2002-06-23  Tetsuo Tsukamoto  <czkmt@remus.dti.ne.jp>

	* lisp/pop3.el (pop3-open-ssl-stream): Do away with w32-related
	workaround I installed on 1999-12-27, i.e. also call
	`as-binary-process' in windows-nt.

2002-06-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/message.el (message-send): Kill `message-encoding-buffer'
	even if sending failed.

2002-06-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 02.

	* lisp/gnus-msg.el (gnus-message-setup-hook): Default to nil.
	(gnus-setup-message): Run `gnus-maybe-setup-default-charset'.
	(gnus-summary-supersede-article): Don't bind the value for
	`gnus-message-setup-hook'.
	(gnus-summary-resend-bounced-mail): Ditto.

	* lisp/dns.el (dns-make-network-process): Bind
	`default-process-coding-system' to `(binary . binary)'; bind
	`program-coding-system-alist' to nil.

	* lisp/gnus-fun.el (gnus-convert-gray-x-face-to-xpm): Bind
	`input-coding-system' and `output-coding-system' to `binary'.

	* lisp/gnus-namazu.el (gnus-namazu/call-namazu): Bind
	`input-coding-system' and `output-coding-system' to the velue of
	`gnus-namazu-coding-system'.

	* lisp/imap.el (imap-ssl-open): Don't bind the values for
	`input-coding-system' and `output-coding-system'.

	* lisp/nnmaildir.el (nnmaildir-request-scan): Bind
	`output-coding-system' to the value of
	`nnheader-file-coding-system'; bind `file-coding-system' to nil.
	(nnmaildir-request-rename-group): Ditto.
	(nnmaildir-request-replace-article): Ditto.
	(nnmaildir-request-accept-article): Ditto.
	(nnmaildir-request-set-mark): Ditto.

	* lisp/nnmbox.el (nnmbox-save-buffer): Simplify the source code.

	* lisp/nnrss.el (nnrss-read-server-data): Bind
	`input-coding-system' to `binary'.
	(nnrss-save-server-data): Bind `output-coding-system' to `binary'.
	(nnrss-read-group-data): Bind `input-coding-system' to `binary'.
	(nnrss-save-group-data): Bind `output-coding-system' to `binary'.

2002-06-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/pop3.el: Add a comment for the use of `ssl' or `tls'
	connection with Gnus; always require `pces' and `path-util' for
	Gnus.
	(pop3-open-ssl-stream-1): Don't require `path-util' here.

2002-06-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/pop3.el: Make it can be byte-compiled in the Gnus source
	tree with neither errors nor warnings.
	(pop3-md5): Fix the logic to check whether the built-in `md5'
	allows the 4th argument CODING-SYSTEM.

2002-06-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 01.

	* contrib/gpg-ring.el: Remove RCS magic cookie.
	* lisp/nnir.el: Ditto.

	* texi/ptexinfmt.el (texinfo-discard-command-and-arg): New
	function.

2002-06-03  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* texi/ptexinfmt.el: discard @cartouche.  @anchor discard for Mule
	2.3.  Support @., @:, @-.
	(texinfo-format-inforef): New function.

2002-05-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/nnheader.el (nnheader-unfold-fws): New function copied from
	`ietf-drums-unfold-fws'.
	(ietf-drums-unfold-fws): Alias to `nnheader-unfold-fws'.

2002-05-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.7 revision 00.

2002-04-30  Daiki Ueno  <ueno@unixuser.org>

	* lisp/message.el (message-expand-name-function): New user option.
	(message-expand-name): Use it.
	* lisp/lpath.el: Don't bind lsdb-complete-name and bbdb-complete-name.

2002-04-30  Daiki Ueno  <ueno@unixuser.org>

	* lisp/message.el (message-expand-name): Use lsdb-complete-name if
	available.
	* lisp/lpath.el: Bind lsdb-complete-name.

2002-04-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/dgnushack.el (dgnushack-bind-colon-keywords): Also examine
	backquote'd forms.

	* lisp/nnheader.el (nnheader-with-unibyte): New macro.
	(mm-with-unibyte): Alias to `nnheader-with-unibyte'.

2002-04-26  Steve Youngs  <youngs@xemacs.org>

	* aclocal.m4 (AC_PATH_INFODIR): New.  Defaults to '$prefix/info'
	for Emacs and 'site-packages/info' for XEmacs.
	(AC_PATH_ETCDIR): Drop 'gnus' off the end of the default directory
	for XEmacs.

	* configure.in: Use 'AC_PATH_INFO_DIR'.

2002-04-23  Daiki Ueno  <ueno@unixuser.org>

	* lisp/gnus-bbdb.el (gnus-bbdb/update-record): Disregard the
	message cache when bbdb/news-auto-create-p is nil.

2002-04-23  Daiki Ueno  <ueno@unixuser.org>

	* lisp/gnus-bbdb.el (gnus-bbdb/update-record): Work around the
	incompatibility with BBDB 2.3x.

2002-04-22  Daiki Ueno  <ueno@unixuser.org>

	* lisp/message.el (message-make-user-agent): Remove product tokens
	for gnus-vers.  [cf. <semi-gnus-ja:6798>]

2002-04-22  Daiki Ueno  <ueno@unixuser.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 03.

	* lisp/gnus-bbdb.el (gnus-bbdb/update-record): Tweak BBDB message
	caching.
	(gnus-bbdb/extract-message-sender-function): New user option.
	(gnus-bbdb/extract-message-sender): New function.

2002-04-20  Daiki Ueno  <ueno@unixuser.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 02.

	* lisp/gnus-sum.el: Don't autoload gnus-set-summary-default-charset.
	(gnus-summary-inherit-default-charset): New function.
	(gnus-parse-headers-hook): Use it.
	(gnus-summary-setup-default-charset): Set default-mime-charset here.

	* lisp/gnus-delay.el (gnus-delay-article): Undo the last change.

	* lisp/gnus-draft.el: Revert to the original implementation.
	(gnus-draft-edit-message): Pass restore as the 3rd argument of
	gnus-draft-setup; call save-buffer instead of message-save-drafts.
	(gnus-draft-setup): Rename from gnus-draft-setup-for-editing.
	(gnus-draft-setup-for-sending): Abolish.

	* lisp/nnheader.el (nnheader-auto-save-coding-system): New variable.

	* lisp/message.el (message-draft-coding-system): Delegate the
	value to nnheader-auto-save-coding-system.
	(message-mode-map): Don't bind message-save-drafts.
	(message-dont-send): Use save-buffer instead of message-save-buffer.
	(message-save-drafts): Abolish.

	* lisp/nndraft.el (nndraft-request-article): Revert to the
	original implementation.

2002-04-18   Daiki Ueno  <ueno@unixuser.org>

	* lisp/gnus-draft.el (gnus-group-send-queue): Pass group and
	interactive as the arguments of gnus-draft-send.
	(gnus-draft-send): Don't give "nndraft:queue" special treatment.

2002-04-17   Daiki Ueno  <ueno@unixuser.org>

	* lisp/gnus-delay.el (gnus-delay-article): Use `message-save-drafts'
        instead of `save-buffer'.

2002-04-08  Daiki Ueno  <ueno@unixuser.org>

	* lisp/gnus-draft.el (gnus-draft-send): Always enter the Message
	mode.

2002-03-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-group.el (gnus-group-completing-read-group-name): Use
	`mapatoms' to extract all groups from `gnus-active-hashtb'.

2002-03-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-group.el (gnus-group-completing-read-group-name):
	Improve to speed up.
	(gnus-group-name-charset-group-alist): Change the default value.

2002-03-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 01.

	* lisp/message.el (message-save-drafts, message-check-8bit,
	message-send-news, message-send-mail, message-send): Replace
	`insert-buffer' with `insert-buffer-substring'.
	* lisp/gnus-art.el (gnus-article-mime-edit-article-setup,
	gnus-article-edit-exit, article-verify-x-pgp-sig): Ditto.

2002-03-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-sum.el (gnus-summary-make-menu-bar): Don't provide
	"View as different encoding" submenu if the function
	`coding-system-list' is not available.

2002-03-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/pop3.el (pop3-md5): Treat a given string as binary.

2002-03-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-msg.el (gnus-summary-resend-message-edit): Use
	`mime-edit-again' instead of `mime-to-mml' to recompose a message.

2002-03-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/message.el (mm-make-temp-file): Copied from mm-util.el.

2002-03-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/message.el (message-fix-before-sending): Bind
	`mm-7bit-chars' to the value that concat the original value and
	escape.

	* lisp/nnheader.el (mm-7bit-chars): Remove.

2002-03-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-art.el (gnus-article-edit-mode): Don't call `mml-mode'.

	* lisp/nnheader.el (mm-7bit-chars): Copied from mm-bodies.el.
	(mm-multibyte-p): New alias.
	(mm-char-int): Alias to `char-int'.

2002-02-26  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/gnus-art.el (gnus-request-article-this-buffer): Sync up
	with Oort-gnus.

	* lisp/nntp.el (nntp-open-via-rlogin-and-telnet): Wrap
	`call-process' with `as-binary-process'.

2002-02-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/smiley.el (smiley-regexp-alist): Fix the order of faces.

2002-02-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/smiley.el (smiley-regexp-alist): Use faces which originate
	in etc-0.27.tar.gz if exist.
	(gnus-smiley-file-types): Add xbm if available.
	(smiley-region): Don't put two or more faces in one place.

2002-02-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-art.el (gnus-request-article-this-buffer): Temporally
	fix: erase the buffer before inserting (and saving) an article.

2002-02-22  Steve Youngs  <youngs@xemacs.org>

	* aclocal.m4 (AC_PATH_LISPDIR): Default to
	.../site-packages/lisp/gnus for XEmacs.
	(AC_PATH_ETCDIR): Default to .../site-packages/etc/gnus for
	XEmacs.

2002-02-21   Daiki Ueno  <ueno@unixuser.org>

	* lisp/gnus-group.el (gnus-group-name-encode): New function.
	(gnus-group-encoded-name): New function.
	(gnus-group-completing-read-group-name): New function.
	(gnus-fetch-group): Use it.
	(gnus-group-jump-to-group): Use it.
	(gnus-group-unsubscribe-current-group): Use it.

2002-02-21   Daiki Ueno  <ueno@unixuser.org>

	* lisp/nnheader.el (mm-string-as-unibyte): Undo the last change.
	* lisp/gnus-srvr.el (gnus-browse-foreign-server): Ditto.

2002-02-21   Daiki Ueno  <ueno@unixuser.org>

	* lisp/nnheader.el (mm-string-as-unibyte): Alias to
	`string-as-unibyte'.

	* lisp/gnus-srvr.el (gnus-browse-foreign-server): Return unibyte
	group names.

2002-02-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/lpath.el: Bind `navi2ch-mona-font'.

2002-02-18  Daiki Ueno  <ueno@unixuser.org>

	* lisp/gnus-art.el (gnus-treat-monafy): New user option.
	(article-monafy): New function.

2002-02-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/nnheader.el (std11-field-value): Fix regexp.

2002-02-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-art.el (gnus-treat-display-grey-xface): Default to nil
	under NTEmacs 21.

2002-02-14  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/gnus-namazu.el (gnus-namazu-kill-summary-buffers): New
	advice.

2002-02-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/mm-view.el: Require `gnus-mailcap' rather than `mailcap'.

	* lisp/nnheader.el (mm-with-unibyte-buffer): Bind `default-mc-flag'
	instead of `mc-flag'.
	(nnheader-with-unibyte-current-buffer): New macro.
	(mm-with-unibyte-current-buffer): Alias to
	`nnheader-with-unibyte-current-buffer'.
	(nnheader-guess-mime-charset): New macro.
	(mm-guess-mime-charset): Alias to `nnheader-guess-mime-charset'.
	(shell-command-to-string): New function for old Emacsen.

	* lisp/lpath.el: Don't fbind `shell-command-to-string'.

2002-02-09  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/gnus-namazu.el (gnus-namazu/group-alist): Abolished.
	(gnus-namazu/setup): Not set it.
	(gnus-namazu/shutdown): Removed.
	(gnus-namazu/group-prefixed-name): Handle case-insensitive file
	names by itself.

2002-02-09  NISHIDA Masakazu  <m_nisida@ca2.so-net.ne.jp>

	* lisp/gnus-namazu.el (gnus-namazu/complete-query): Relaxed the
	regexp which matches field search keywords.

2002-02-01  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* etc/gnus/gnus.xpm: Remove some garbages at the end of the file.

2002-02-03  Daiki Ueno  <ueno@unixuser.org>

	* lisp/nnir.el (nnir-run-namazu): According to SUSv3, LC_ALL is
	prior to the other environment variables whose names are starting
	with "LC_".  So there is no need to setting them.

2002-02-03  Daiki Ueno  <ueno@unixuser.org>

	* lisp/nnir.el (nnir-imap-default-charset): New user option.
	(nnir-run-imap): Supply the charset of a search criteria.

2002-02-01  Katsumi Yamaoka  <yamaoka@jpl.org>
	Suggested by Kenichi OKADA <okada@opaopa.org>

	* lisp/message.el (message-save-drafts): Override
	`mime-header-encode-method-alist'.

2002-02-01  Taiji Can  <Taiji.Can@grd.advantest.co.jp>

	* texi/gnus-ja.texi (Posting Styles): Fix typo.

2002-01-31  ARISAWA Akihiro  <ari@atesoft.advantest.co.jp>

	* lisp/gnus-art.el (gnus-article-display-traditional-message):
	Reverted.

2002-01-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-art.el (gnus-article-setup-buffer): Enable multibyte
	in `gnus-original-article-buffer'.

2002-01-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/message.el (message-cite-prefix-regexp): Fix the regexp.

	* lisp/gnus-sum.el (gnus-mime-extract-message/rfc822): New
	implementation.

2002-01-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-clfns.el (find-cl-run-time-functions): Insert a
	newline before filling a result; ignore non-list forms.

2002-01-24  ARISAWA Akihiro  <ari@atesoft.advantest.co.jp>

	* lisp/gnus-sum.el (gnus-summary-show-article): If coding-system is
	specified, bind `default-mime-charset' to it.

2002-01-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/message.el: Require `base64' before `canlock-om' to avoid
	damage to define `base64-encode-string' by MEL.

	* lisp/dgnushack.el: Load base64.el before canlock-om.el to avoid
	damage to define `base64-encode-string' by MEL.

2002-01-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-sum.el (gnus-article-commands-menu): Bind "Html" to
	the command `gnus-article-wash-html'.
	(gnus-summary-article-menu): Ditto.
	(gnus-summary-wash-map): Bind "h" to the command
	`gnus-article-wash-html'.

	* lisp/gnus-art.el (gnus-article-treatment-menu): Bind
	"Treat html" to the command `gnus-article-wash-html'.

	* lisp/nnheader.el: Place mm- stuff and mail-parse stuff in front
	of the codes which use (or may use) them.

2002-01-21  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* lisp/gnus-art.el (gnus-article-display-traditional-message): Use
	`set-buffer-multibyte'.

2002-01-21  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/gnus-sum.el (gnus-summary-preview-mime-message): Protect
	against dead windows.

	* lisp/nnheader.el (mm-encode-coding-string): Alias to
	`encode-coding-string'.
	(mm-decode-coding-string): Alias to 'decode-coding-string'.

2002-01-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.6 revision 00.

	* lisp/nnheader.el (std11-unfold-region): New function copied from
	`rfc2047-unfold-region'.
	(std11-unfold-field): New function.
	(mail-header-unfold-field): Alias to `std11-unfold-field'.

2002-01-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 02 (synch
	with the released version of Oort Gnus v0.05).

2002-01-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/dgnushack.el: Advise `byte-compile-inline-expand' for Mule
	to ignore built-in functions as Emacs 20+ does.

2002-01-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-sum.el (gnus-adjust-marked-articles): Fix the record
	for `seen' if it looks like (seen NUM1 . NUM2).  It should be
	(seen (NUM1 . NUM2)).

2002-01-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/nntp.el (nntp-send-buffer): Bind `mc-flag' to nil.

	* lisp/nnheader.el (mm-with-unibyte-buffer): Alias to
	`nnheader-with-unibyte-buffer'.
	(nnheader-with-unibyte-buffer): New macro.

2002-01-12  Katsuhiro Hermit Endo  <hermit@koka-in.org>

	* texi/gnus-ja.texi (Article Date): Update Japanese translation.

2002-01-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-clfns.el (butlast): Fix a serious bug that it behaved
	like `nbutlast'.  Special thanks to Keiichi-san for the great
	discovery.

	* lisp/gnus.el (gnus-product-variable-file-list): Add a check for
	the value of `gnus-use-correct-string-widths' in the forms.

	* lisp/gnus-start.el (gnus-product-quick-file-format): Include the
	value of `gnus-use-correct-string-widths' in the file form.
	(gnus-product-read-variable-file-1): Check for the equality in the
	value of `gnus-use-correct-string-widths' as well.

2002-01-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 01 in
	order to force update cached format specs.

	* lisp/gnus-spec.el (gnus-use-correct-string-widths): Default to t.

2002-01-10  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/nnshimbun.el: Adopt for old Gnusae.

2002-01-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/message.el (message-strip-forbidden-properties): Don't
	strip properties when the invisible MIME part is inserted.

	* lisp/gnus-xmas.el (gnus-xmas-group-startup-message): Position
	point to the top.

2002-01-05  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* etc/gnus/oort.xface (X-Face): Oort X-Face from
	Raymond Scholz <ray-2002@zonix.de>.

2002-01-09  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/lpath.el: Fbind `coding-system-to-mime-charset' for Mule 2.

	* lisp/nnheader.el (std11-fold-region): New function copied from
	`rfc2047-fold-region'.
	(std11-fold-field): Use it.

2002-01-09  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus.el: Don't autoload "gnus-bitmap".

	* lisp/gnus-ems.el: Autoload "smiley-mule" if running Emacs
	version is less than 21.

	* lisp/gnus-art.el (gnus-article-smiley-display): Remove.
	(gnus-treat-smiley): Reload "smiley-ems" or "smiley-mule" if
	needed.
	(gnus-treat-display-smileys): Use `gnus-image-type-available-p'.
	(gnus-article-smiley-mule-loaded-p): New internal variable.
	(gnus-article-should-use-smiley-mule): New user option.

2002-01-09  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/nneething.el (nneething-mime-extensions): New variable.
	(nneething-request-article): Refer it.

	* lisp/nnheader.el (mm-detect-coding-region): Alias to
	`nnheader-detect-coding-region'.
	(nnheader-detect-coding-region): New function.
	(mm-detect-mime-charset-region): Alias to
	`nnheader-detect-mime-charset-region'.
	(nnheader-detect-mime-charset-region) New function.

2002-01-08  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* texi/gnus-ja.texi (Web Newspaper): Update the document of
	mime-w3m.el.

2002-01-08  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-art.el (article-toggle-headers): Expose headers even
	if there is a boundary line.

	* lisp/nntp.el (nntp-send-buffer): Don't use
	`mm-with-unibyte-current-buffer'.  Use expanded form instead.

	* lisp/gnus-art.el (gnus-treatment-function-alist): Move X-Face
	stuff down after unfolding stuff.

2002-01-08  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/gnus-namazu.el (gnus-namazu/highlight-words): Reimplemented.

2002-01-08  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/nnheader.el (mail-narrow-to-head): Copy from ietf-drums.el;
	it should go to the beginning of the header after narrowing.
	(std11-extract-addresses-components): Protect against nil argument.

2002-01-08  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/nnheader.el (mail-header-field-value): Alias to
	`std11-field-value'.
	(std11-field-value): New function.

2002-01-08  Akihiro Arisawa  <ari@atesoft.advantest.co.jp>

	* lisp/nnheader.el (mail-header-parse-addresses): New function.
	(std11-extract-addresses-components): New function.

2002-01-07  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-picon.el: Don't require `mail-parse'.

2002-01-07  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/nnheader.el (mail-header-fold-field): Alias to
	`std11-fold-field'.
	(std11-fold-field): New function.
	(mail-narrow-to-head): Alias to `std11-narrow-to-header'.
	(mail-header-narrow-to-field): Alias to `std11-narrow-to-field'.
	(std11-narrow-to-field): New function.

2002-01-07  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.5 revision 00.

2002-01-02  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* etc/gnus/describe-group.xpm: Set pixels of first line to
	background color. A bug in Emacs?

2002-01-07  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 10.

	* lisp/gnus-picon.el: Require `mail-parse'.

	* lisp/sha1-el.el (sha1-use-external): Replace `executable-find'
	with `exec-installed-p'.

2002-01-06  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/gnus-namazu.el: Update comments.
	(gnus-namazu/search): Convert `gnus-cache-directory' to absolute
	before the regular expression which matches paths of persistent
	articles is generated.  Clean up codes.

2002-01-05  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/nnshimbun.el (nnshimbun-request-article): Handle the
	article properly when no group is specified.
	(nnshimbun-write-nov, nnshimbun-save-nov): Save nov databases only
	when their sizes are greater than zero.

	* lisp/gnus-namazu.el (gnus-namazu-query-highlight): New option.
	(gnus-namazu-query-highlight-face): New face.
	(gnus-namazu/check-cache-group): New function.
	(gnus-namazu/cache-group-candidates): Ditto.
	(gnus-namazu/search): Call `gnus-namazu/check-cache-group' to get
	groups for cached articles.
	(gnus-namazu/highlight-words): New function.
	(gnus-namazu-search): Set the group parameter `highlight-words'
	when `gnus-namazu-query-highlight' is equal to the other value
	than nil.

	* lisp/gnus-ja.texi (Namazu Groups): Updated.

2001-12-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/dgnushack.el (dgnushack-bind-colon-keywords): Ignore
	non-list forms in the top level.

2001-12-18  Josh Huber  <huber@alum.wpi.edu>

	* ChangeLog, todo: (oops) changed buffer-file-coding-system back
	to coding.

2001-12-18  Kai Gro,A_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* make-x.bat: Ensure nonempty variable value.  Reported by Frank
	Haun <pille3000@gmx.net>.

2001-12-18 01:00:00  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* ChangeLog, todo: Add `coding'.

2001-12-17  Josh Huber  <huber@alum.wpi.edu>

	* ChangeLog: changed coding to buffer-file-coding-system
	* todo: same

2001-12-10  Kai Gro,A_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* make-x.bat: Code cleanup.  Fix a bug with "/copy".  From Frank
	Schmitt <ich@Frank-Schmitt.net>.

2001-12-10  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/gnus-namazu.el (gnus-namazu-summary-buffer-name): Changed
	the expression to decide whether `gnus-summary-buffer-name' should
	be advised.
	(gnus-namazu/setup): Strict checking the other Gnus variants than
	Oort-Gnus before handling `gnus-group-name-charset-group-alist'.

2001-12-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/nnheader.el (mm-multibyte-string-p): Alias to
	`multibyte-string-p' or `ignore'.

2001-12-09  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/gnus-namazu.el (gnus-namazu-summary-buffer-name): New
	advice.

	* lisp/gnus-namazu.el (top): Update comments.
	(gnus-namazu-indexed-servers): Abolished.
	(gnus-namazu-index-directories, gnus-namazu-command): Changed the
	default value.
	(gnus-namazu/group-name-regexp): New internal constant.
	(gnus-namazu/indexed-servers): New function.
	(gnus-namazu/setup): Not initialize `gnus-namazu-indexed-servers'.
	Add the entry for ephemeral groups generated by
	`gnus-namazu-search' to `gnus-group-name-charset-group-alist'.
	(gnus-namazu/group-prefixed-name): Fix.
	(gnus-namazu/search): Stricten checking the return value of
	`gnus-namazu/call-namazu'.  Install changes in order to avoid the
	difference between regexp-opt module of FSF Emacs and one of XEmacs.
	(gnus-namazu/get-target-groups, gnus-namazu/get-current-query):
	Refer `gnus-namazu/group-name-regexp'.
	(gnus-namazu-search): Slightly modified.

2001-12-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/message.el (message-mimic-kill-buffer): Bind
	`message-kill-buffer-and-remove-file' to nil while calling the
	function `message-kill-buffer'.

	* texi/message-ja.texi, texi/message-ja.texi: Update.

	* lisp/lpath.el: Fbind `replace-regexp-in-string' for XEmacs and
	Mule; don't fbind coding-system-list for Mule.

2001-12-03  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>
	(cf. news://news.gnus.org/gnus.gnus-bug #48523)

	* lisp/message.el (message-kill-buffer-and-remove-file): New user
	option.
	(message-kill-buffer): Don't remove the backup file if
	`message-kill-buffer-and-remove-file' is nil.

2001-12-07  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/gnus-namazu.el (gnus-namazu-case-sensitive-filesystem): New
	option.
	(gnus-namazu/group-alist): New internal variable.
	(gnus-namazu/setup): Initialize it.
	(gnus-namazu/shutdown) New function.
	(gnus-namazu/request-list): Ditto.
	(gnus-namazu/group-prefixed-name): Ditto.
	(gnus-namazu/search): Call it instead of
	`gnus-group-prefixed-name' in order to normalize a group name on a
	case-insensitive file system.

2001-12-05  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/gnus-namazu.el (gnus-namazu-need-path-normalization): New
	option.
	(gnus-namazu/normalize-results): Refined.

	* lisp/gnus-namazu.el (gnus-namazu-index-directory): Abolished.
	(gnus-namazu-index-directories): New option.
	(gnus-namazu-coding-system): Changed the default value for Windows
	and OS/2.
	(gnus-namazu/setup): Follow the abolition of
	`gnus-namazu-index-directory'.
	(gnus-namazu/normalize-results): New inline function.
	(gnus-namazu/call-namazu): Set `file-name-coding-system' and
	`pathname-coding-system' to handle querys which include multibyte
	characters.  Not reset locale environments.  Refer
	`gnus-namazu-locale' and `gnus-namazu-index-directories'.
	(gnus-namazu/search): Call `gnus-namazu/normalize-results'.
	Modify a regular expression.
	(gnus-namazu/get-target-groups): Modify a regular expression.
	(gnus-namazu/get-current-query): Ditto.
	(gnus-namazu/truncate-article-list): Ditto.

2001-12-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/mm-url.el: Require `path-util'.
	(mm-url-program): Replace `executable-find' to `exec-installed-p'.

2001-11-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 09.

	* lisp/canlock-om.el: New file.
	* lips/dgnushack.el: Load canlock-om.el for compiling canlock.el
	when `MULE' is bound.
	(dgnushack-unexporting-files): Add canlock-om.el when `MULE' is
	not bound.
	* lisp/message.el: Require `canlock-om' when Mule is running;
	autoload cus-edit for the function `customize-save-variable'.
	* lisp/nnheader.el (customize-save-variable): Remove.

2001-11-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/message.el (message-strip-special-text-properties): Default
	to t because of the new function `message-tamago-not-in-use-p'.

2001-11-26  Kai GroN_johann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* make-x.bat: Use parameter "/copy" rather than "copy" for increased
	dwimishness for old-time DOS users.  From Frank Schmitt
	<ich@Frank-Schmitt.net>.

2001-11-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/message.el (message-strip-special-text-properties): Default
	to nil temporarily (it should be automated).
	(message-forbidden-properties): Undo last change.
	(message-strip-forbidden-properties): Undo last change; synch with
	Oort Gnus.

2001-11-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/message.el (message-forbidden-properties): Defcustom; make
	it a list; don't include `intangible', `invisible',
	`modification-hooks' or `read-only'.
	(message-strip-forbidden-properties): Convert the value of
	`message-forbidden-properties' to plist.

2001-11-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-group.el (gnus-group-group-map): Bind `G n' key to the
	command `gnus-group-make-shimbun-group'.
	(gnus-group-group-menu): Add `gnus-group-make-shimbun-group'.

	* texi/gnus-ja.texi (Foreign Groups): Add a documentation for the
	shimbun groups.
	(Web Newspaper): Use `G n' key for `gnus-group-make-shimbun-group'.

2001-11-15  Simon Josefsson  <jas@extundo.com>

	* etc/gnus/unimportant.xpm, etc/gnus/important.xpm: New files.

2001-11-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-sum.el (gnus-summary-wash-map): Remove
	`gnus-smiley-display'.

2001-11-11  Simon Josefsson  <jas@extundo.com>

	* make-x.bat: Don't use -nw.  Suggested by Frank Haun
	<pille3000@gmx.net>.

2001-11-09  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* texi/infohack.el (infohack-texi-format): To process
	write-protected files safely, make this buffer be writable after
	`find-file'

2001-11-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/nnheader.el (customize-save-variable): Defun-maybe.

2001-11-01 07:00:00  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* etc/smilies/blink.xpm: New set of xpm. From Oliver Scholz
	<oscholz@my.gnus.org>.

2001-10-29  Per Abrahamsen  <abraham@dina.kvl.dk>

	* etc/smilies/sad.pbm: New bitmap.
	* etc/smilies/blink.pbm: Ditto.
	Contributed by Kim F. Storm <storm@cua.dk>.

2001-10-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/message.el (rfc822-goto-eoh): Remove.

2001-10-19  Kai GroN_johann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>
	From Frank Schmitt <ich@Frank-Schmitt.net>.

	* make-x.bat: Use correct directory structure for XEmacs on Windows.

2001-10-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/message.el (rfc822-goto-eoh): Define it when void.

2001-10-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/message.el (message-resend, message-send): Undo.

2001-10-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/message.el (message-resend): Bind
	`inhibit-field-text-motion' to t while resending a mail.

2001-10-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/message.el (message-send): Remove the text property `field'
	from the encoding buffer.

2001-10-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-start.el (gnus-re-read-newsrc-el-file): Use
	`gnus-ding-file-coding-system' instead of
	`gnus-startup-file-coding-system'; go to the beginning of the
	buffer before searching.
	(gnus-read-newsrc-el-file): Use `gnus-ding-file-coding-system'
	instead of `gnus-startup-file-coding-system'.

2001-10-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/message.el (message-send-news): Modify the value of
	`mime-field-encoding-method-alist' to encode newsgroup names.

	* lisp/gnus-art.el (gnus-article-header-presentation-method): Call
	`article-decode-group-name' to decode newsgroup names.
	(gnus-article-decode-hook): Default to nil.

2001-10-06 08:00:00  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* Makefile.in (uninstall): Add.

	* etc/Makefile.in (uninstall): Add.

2001-10-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/message.el (message-fix-before-sending): Don't expose
	invisible MIME parts; don't use `message-find-invisible-regions'.
	(message-find-invisible-regions): Remove.
	(invisible-region): Advise the function to add the text property
	`mime-edit-invisible'.
	(message-invisible-region): Remove.
	(message-save-drafts): Copy all the text properties from the
	editing buffer to the encoding buffer.
	(message-send): Ditto.

2001-10-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/nndoc.el (nndoc-oe-dbx-type-p): Use `string-as-multibyte'
	instead of `mm-string-as-multibyte'.
	(nndoc-possibly-change-buffer): Use `nnheader-insert-file-contents'
	instead of `mm-insert-file-contents'.

2001-09-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 08.

2001-09-27 14:00:00  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* aclocal.m4 (GNUS_CHECK_FONTS): Typo. Use /dev/null as latex input.

2001-09-27 09:00:00  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* aclocal.m4, configure.in: Check commercial fonts.

2001-09-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/message.el (message-find-invisible-regions): Look for the
	text-property `mime-edit-invisible' as well as `message-invisible'.
	(message-save-drafts): Copy the text-property `mime-edit-invisible'
	from the message editing buffer to the encoding buffer.
	(message-send): Ditto.

2001-09-27  Katsuhiro Hermit Endo  <hermit@koka-in.org>

	* texi/gnus-ja.texi (Article Hiding): Fix typo.

2001-09-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 07.

2001-09-24 19:00:00  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* configure.in: Generate texi/ps/Makefile.

2001-09-21  Kai GroN_johann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* make.bat: Use parameter "/copy" rather than "copy" for increased
	dwimishness for old-time DOS users.

2001-09-18 22:00:00  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* make-x.bat: New.

2001-09-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/dgnushack.el: If W3DIR is identical to URLDIR, don't add it
	to `load-path'.

2001-09-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-diary.el: Don't use `easy-menu-add-item' if it is not
	available.

2001-09-17  Keiichi Suzuki  <keiichi@nanap.org>

	* lisp/gnus-bbdb.el (gnus-bbdb/insert-address-regexp):
	`regexp-quote' for each addresses.

2001-09-16  Katsuhiro Hermit Endo  <hermit@koka-in.org>

	* texi/gnus-ja.texi (Drafts): Fix typo.

2001-09-12  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/lpath.el: Removed `current-language-environment' and
	`language-info-alist'.

2001-09-11  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/gnus-art.el (gnus-request-article-this-buffer): Make a copy
	of the requested article only when the current directory does noe
	equal to `gnus-original-article-buffer'.

	* lisp/gnus-art.el (gnus-request-article-this-buffer): Copy an
	article from `gnus-original-article-buffer' to
	`gnus-article-buffer'.  Generate `gnus-original-article-buffer'
	safely.

2001-09-10  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/gnus-namazu.el: Updated documents.

	* texi/gnus-ja.texi (Namazu Groups): New subsection.

2001-09-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-namazu.el: Autoload "regexp-opt" for Mule 2.3.

	* Mule23@1934.en, Mule23@1934.ja: To install contrib/regexp-opt.el
	is required.

	* contrib/regexp-opt.el: Imported from Emacs 20.2.

	* lisp/gnus-bbdb.el (gnus-bbdb/pop-up-bbdb-buffer): Use
	`bbdb-display-layout' or `bbdb-pop-up-display-layout' instead of
	`bbdb-elided-display' or `bbdb-pop-up-elided-display' when BBDB
	v2.33 or later is running.

2001-09-10  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/gnus-namazu.el (top): Not require `std11'.
	(gnus-namazu/get-current-from): Use
	`mail-extract-address-components' instead of
	`std11-extract-address-components'.

	* lisp/gnus-namazu.el: New file.

	* lisp/gnus.el (top): Add autoload of `gnus-namazu-search'.

	* lisp/gnus-sum.el (gnus-summary-mode-map): Define "\C-c\C-n" as
	`gnus-namazu-search'.

	* lisp/gnus-group.el (gnus-group-mode-map): Define "\C-c\C-n" as
	`gnus-namazu-search', and removed `gnus-group-make-shimbun-group'.

2001-09-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-xmas.el (gnus-tilde-pad-form): Abolished.  Use the
	new function `gnus-correct-pad-form' instead.
	* lisp/gnus-spec.el (gnus-tilde-pad-form): Ditto.

2001-09-05  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/nnir.el (nnir-run-namazu): Fix a side effect when handling
	of process environments.

2001-09-04  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/nnir.el (top): Added code to avoid byte-compile warning
	about `nnimap-server-buffer'.
	(nnir-run-namazu): Disable locale of Namazu.

2001-09-04  KOSEKI Yoshinori  <kose@meadowy.org>

	* lisp/nnir.el (gnus-group-mode-hook): Fix typo.

2001-09-04  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/nnir.el (top): Don't call `nnir-group-mode-hook' in T-gnus.

	* lisp/gnus-group.el (gnus-group-group-map): Define "G" as
	`gnus-group-make-nnir-group', and define "S" as
	`gnus-group-make-shimbun-group'.

	* lisp/gnus.el (top): Add autoload of
	`gnus-group-make-nnir-group'.

	* lisp/nnir.el: Import from
	ftp://ls6-ftp.cs.uni-dortmund.de/pub/src/emacs/nnir.el.

2001-08-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-util.el (gnus-truncate-string): Abolished.

2001-08-18  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/nnshimbun.el (gnus-group-make-shimbun-group): Call
	`shimbun-groups' to detect avaiable groups of specified server.

2001-08-17  KANEMATSU Daiji  <kanematu@sra.co.jp>

	* lisp/message.el (message-signature-separator-for-insertion): New
	customizable variable which is used for signature separator.
	* lisp/message.el (message-insert-signature): Use variable
	`message-signature-separator-for-insertion' instead of hard code.

2001-08-15  Yoichi NAKAYAMA  <yoichi@eken.phys.nagoya-u.ac.jp>

	* texi/gnus-ja.texi (Browsing the Web): Fix typo.

2001-08-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 06.

2001-08-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-art.el (gnus-request-article-this-buffer): Insert an
	article into `gnus-original-article-buffer' instead of
	`gnus-article-buffer'.

2001-07-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/mml2015.el: Require `gnus-clfns' when compiling.
	* lisp/gnus-clfns.el (string-to-list): New compiler macro.

2001-07-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-sum.el (gnus-select-newsgroup): Don't examine cached
	articles with `gnus-cache-articles-in-group' even if the current
	group is not a virtual group (see ChangeLog.1 1999-03-02).

2001-07-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 05.

	* lisp/nnmh.el (nnmh-retrieve-parsed-headers): Abolished.

	* lisp/gnus-sum.el (gnus-get-newsgroup-headers-xover): Don't use
	`gnus-retrieve-parsed-headers'.
	(gnus-fetch-headers): Ditto.

	* lisp/gnus-int.el (gnus-retrieve-parsed-headers): Abolished.

	* lisp/gnus-cache.el (gnus-cache-braid-headers): Abolished.
	(gnus-cache-retrieve-parsed-headers): Abolished.

2001-07-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/nnshimbun.el (nnshimbun-request-expire-articles): Bind
	`nnmail-expiry-wait-function' to nil if the group's parameter
	`expiry-wait' is specified by the user or the shimbun's default
	value is provided.

2001-07-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-msg.el (gnus-message-make-user-agent): New
	implementation.

2001-07-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-clfns.el (copy-list): New compiler macro.

2001-07-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-delay.el (gnus-delay-initialize): Don't use the macro
	`kbd'.

	* lisp/nnheader.el (mm-read-coding-system): New function which is
	a substitute for mm-util.el.

2001-07-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 04.

	* lisp/nntp.el (nntp-request-newgroups): Use UTC date for
	NEWGROUPS command.

	* lisp/gnus-start.el (gnus-find-new-newsgroups): Use
	`message-make-date' instead of `current-time-string'.
	(gnus-ask-server-for-new-groups): Ditto.
	(gnus-check-first-time-used): Ditto.

2001-07-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* texi/message-ja.texi (message-citation-line-function): Add a
	comma just after the `@xref' form.

	* lisp/nnheader.el (nnheader-header-value): Ignore leading
	whitespaces.

	* lisp/dgnushack.el (dgnushack-make-auto-load): Advise
	`make-autoload' to handle `define-derived-mode'.

2001-07-12  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/message.el (message-yank-original): Unwind-protect while
	suspending font-lock.
	(message-mode): Modify for the following changes.
	(message-font-lock-keywords-2): Abolished.
	(message-font-lock-keywords-1): Abolished.
	(message-font-lock-keywords): Unified.
	(message-font-lock-cited-text-matcher): Abolished.
	(font-lock-after-change-function): Don't advise it.
	(message-font-lock-last-position): Abolished.
	(message-font-lock-citation-name-max-column): Abolished.
	(message-font-lock-cited-text-regexp) Abolished.
	(message-font-lock-fence-close-position): Abolished.
	(message-font-lock-fence-open-position): Abolished.
	(message-font-lock-fence-close-regexp): Abolished.
	(message-font-lock-fence-open-regexp): Abolished.

2001-07-10  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/message.el (message-font-lock-keywords-1): Replace regexp
	for mml tags with `mime-edit-tag-regexp'.

2001-07-10  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/message.el (message-font-lock-keywords-2): Move definitions
	for cited texts and mml tags to `message-font-lock-keywords-1'.

2001-07-10  Katsuhiro Hermit Endo <hermit@koka-in.org>

	* texi/gnus-ja.texi (Mail Group Commands): Fix a slight mistake.

2001-07-09  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/dgnushack.el: Add the parent directory of the directory
	where the APEL modules are installed to `load-path' according to
	the description of the file Mule23@1934.

2001-07-04  Yair Friedman  <yairfr@Amdocs.com>

	* make.bat: Use infohack.el to create info files.

2001-07-09  Akihiro Arisawa  <ari@atesoft.advantest.co.jp>

	* README.semi: Modify URI of emacs-w3m.
	* README.semi.ja: Ditto.
	* Mule23@1934.en: Ditto.
	* Mule23@1934.ja: Ditto.
	* lisp/nnshimbun.el: Ditto.

	* texi/gnus-ja.texi (Top, Article Treatment): Fix typo.
	(Web Newspaper): Modify URI of emacs-w3m.

2001-07-06  KITAGAWA Takurou  <i30x1641@ip.media.kyoto-u.ac.jp>

	* lisp/Makefile.in (clever): Use `if test... then' instead of
	`test... &&'.

2001-07-06  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/Makefile.in (clever): Change the quoting style for the
	elisp form to check for XEmacs-p.

	* lisp/dgnushack.el: Require `path-util' first, and then search
	for the path if it is not found.

2001-07-05  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 03.

2001-06-28  Akitada Koyama  <cx2@kh.rim.or.jp>

	* texi/gnus-ja.texi (Web Newspaper): Add a description how to show
	html documents inline.

2001-06-28  Katsumi Yamaoka <yamaoka@jpl.org>

	* texi/message-ja.texi (message-suspend-font-lock-when-citing): Add
	a description.
	* texi/message.texi (message-suspend-font-lock-when-citing): Ditto.

	* lisp/message.el (message-yank-original): Suspend font-lock'ing
	while citing an original message.
	(message-suspend-font-lock-when-citing): New user option.

2001-06-25  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-clfns.el (find-cl-run-time-functions): New
	implementation.

2001-06-22  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-art.el (article-display-x-face): Don't gather X-Face
	fields in `gnus-original-article-buffer'.

2001-06-18  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/nnshimbun.el (nnshimbun-find-parameter): Undo the last
	bogus changes; use the value of `nnshimbun-pre-fetch-article' if
	the value of the group parameter `prefetch-articles' is nil; do
	likewise for `encapsulate-images'.

2001-06-18  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/nnshimbun.el (nnshimbun-find-parameter): Use the value of
	`nnshimbun-pre-fetch-article' if the value of the group parameter
	`prefetch-articles' is `off'; do likewise for `encapsulate-images'.

2001-06-18  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/nnshimbun.el (nnshimbun-encapsulate-images): Fix a
	doc-string that both the values `off' and nil specifies not to
	encapsulate images.
	(nnshimbun-pre-fetch-article): Default to `off'.

2001-06-18  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/nnshimbun.el (nnshimbun-encapsulate-images): Renamed from
	`nnshimbun-encapsulate-article'.
	(nnshimbun-request-article-1): Replace `encapsulate-article' with
	`encapsulate-images'.
	(nnshimbun-find-parameter): Ditto.
	(nnshimbun-group-parameters): Ditto.
	(nnshimbun-group-parameters-custom): Ditto.

2001-06-15  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/nnshimbun.el (nnshimbun-group-parameters-custom): Add
	`encapsulate-article' as a customizable option, and modified
	`prefetch-articles'.
	(nnshimbun-group-parameters): Add document for
	`encapsulate-article'.
	(nnshimbun-encapsulate-article): New server variable.
	(nnshimbun-find-parameter): Add code for `encapsulate-article'.
	(nnshimbun-request-article-1): Refer `encapsulate-article' group
	parameter to control `shimbun-encapsulate-article' value when
	`shimbun-article' is called.

2001-06-14  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 02.

2001-06-14  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/nnshimbun.el (nnshimbun-request-expire-articles): Use
	`nnshimbun-find-parameter'.
	(nnshimbun-generate-nov-database): Bind a full group name while
	processing.
	(nnshimbun-find-parameter): New implementation to refer to the
	nnshimbun group parameters.
	(nnshimbun-index-range): Add a document that it's just a default.
	(nnshimbun-pre-fetch-article): Ditto.
	(nnshimbun-group-parameters): Specify a parameter type as `list'.
	(TopLevel): Remove the local variable "-*- coding: junet; -*-".

2001-06-13  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/nnshimbun.el (nnshimbun-group-parameters): New group
	parameter.  It also provides the user option
	`nnshimbun-group-parameters-alist' and the function
	`nnshimbun-find-group-parameters'.
	(nnshimbun-group-parameters-custom): New variable.
	(TopLevel): Require `gnus' expressly.

2001-06-12  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/nnshimbun.el (nnshimbun-find-parameter): New macro.
	(nnshimbun-generate-nov-database): Use `nnshimbun-find-parameter'.
	(nnshimbun-request-expire-articles): Fixed.

2001-06-12  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/nnshimbun.el (Gnus-p): Use `file-exists-p' instead of
	`locate-library' to check for the existence of mailcap.el in the
	same directory of gnus.el.
	(nnshimbun-retrieve-headers-with-nov): Remove a redundant check
	that I made.

2001-06-11  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/lpath.el: Don't Fbind `xml-node-children'.

2001-06-11  Akihiro Arisawa  <ari@atesoft.advantest.co.jp>

	* lisp/nnshimbun.el (nnshimbun-request-expire-articles): Fix
	inhibiting the expiring when `nnshimbun-keep-unparsable-dated-articles'
	is nil.

2001-06-11  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/gnus-group.el (toplevel): Removed autoload code for
	"nnshimbun".

	* texi/gnus-ja.texi (Web Newspaper): Add documents about
	`nnshimbun-index-range'.

2001-06-11  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/nnshimbun.el (nnshimbun-request-expire-articles): Don't
	refer to the variable `nnshimbun-keep-last-article', we should
	keep the last article anyway.
	(nnshimbun-keep-last-article): Abolished.

	* lisp/gnus.el: Autoload "nnshimbun" for the command `gnus-group-
	make-shimbun-group'.

2001-06-11  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/nnshimbun.el: Remove some garbage.

2001-06-10  Katsumi Yamaoka <yamaoka@jpl.org>

	* texi/message-ja.texi: Use `iso-2022-7bit' instead of
	`iso-2022-7bit-ss2' to keep a compatibility between XEmacsen and
	FSF Emacsen.
	* texi/gnus-ja.texi: Ditto.

2001-06-09  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/nnshimbun.el (top-level): Updated comments.
	(nnshimbun): New customize group.
	(nnshimbun-keep-last-article): Defined as customize variable.
	(nnshimbun-keep-unparsable-dated-articles): Ditto.
	(nnshimbun-insert-nov): Use `when' instead of `if'.
	(gnus-group-shimbun-server-history): Imported from
	`gnus-group.el'.
	(gnus-group-make-shimbun-group): Ditto.

	* lisp/gnus-group.el (gnus-group-make-shimbun-group): Its real
	definition is moved to `nnshimbun.el' and autload code is added.
	(gnus-group-shimbun-server-history): Its definition is moved to
	`nnshimbun.el'.

2001-06-08  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/nnshimbun.el (nnshimbun-use-entire-index): Removed.
	(nnshimbun-index-range): New variable.
	(nnshimbun-close-server): Check status strictly to close server
	safely.
	(nnshimbun-generate-nov-database): Refer the group paramter
	`nnshimbun-index-range' as the second parameter of
	`shimbun-headers'.
	(shimbun-mua-use-entire-index): Removed.
	(nnshimbun-request-article-1): Replace a date string in
	`gnus-newsgroup-data' only when article header has non-nil value.
	(nnshimbun-insert-nov): Fixed condition to decide whether
	`X-Nnshimbun-Id' should be inseted or not.

2001-06-08  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/nnshimbun.el (nnshimbun-expire-nov-databases): Removed.
	(nnshimbun-request-expire-articles): Simplified; refer to the
	shimbun's default expiration days.

2001-06-08  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/lpath.el: Fbind `xml-node-children' for XEmacsen and old FSF
	Emacsen.

2001-06-07  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/nnshimbun.el (nnshimbun-request-expire-articles): Prefer the
	group parameter `expiry-wait' when expiring a closed group.

2001-06-07  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/nnshimbun.el (nnshimbun-request-article-1): Replace a date
	string in `gnus-newsgroup-data' based on the newly retrieved
	article.

2001-06-07  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/nnshimbun.el (nnshimbun-request-expire-articles): Fix
	inhibiting the expiring.

2001-06-06  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/nnshimbun.el (nnshimbun-expire-nov-databases): New command.
	(nnshimbun-request-expire-articles): New function.
	(nnshimbun-keep-unparsable-dated-articles): New variable.
	(nnshimbun-keep-last-article): New variable.
	(nnshimbun-insert-nov): Rewrite using `nnshimbun-string-or'.
	(nnshimbun-string-or): New macro.
	(nnshimbun-tmp-string): New internal variable.
	(TopLevel): Require `message' for `message-make-date'.

2001-05-30  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-clfns.el (find-cl-run-time-functions): Remove a
	useless non-global var; scroll the output window automatically.

2001-05-31  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/nnshimbun.el (nnshimbun-header-xref): Removed.
	(nnshimbun-check-header): Removed.
	(nnshimbun-make-shimbun-header): Don't call
	`nnshimbun-header-xref'.
	(nnshimbun-request-group): Simplified.
	(nnshimbun-request-article-1): Call `nnshimbun-replace-nov-entry'
	instead of `nnshimbun-check-header'.
	(nnshimbun-insert-nov): New function.
	(nnshimbun-generate-nov-database): Call `nnshimbun-insert-nov'
	instead of `nnheader-insert-nov'.
	(nnshimbun-replace-nov-entry): New function.

2001-05-29  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-clfns.el (find-cl-run-time-functions): Add a parser for
	`dolist'; protect against errors.

2001-05-29  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/nnshimbun.el (nnshimbun-retrieve-headers-with-nov): Don't
	use `last'.
	(nnshimbun-make-shimbun-header): Use the following macros.
	(nnshimbun-mail-header-from): New macro whose definition will be
	changed statically for Gnus or gnus.
	(nnshimbun-mail-header-subject): Ditto.
	(TopLevel): Don't require `gnus-clfns'.

	* lisp/gnus.el: Add autoload for `find-cl-run-time-functions'.

	* lisp/gnus-clfns.el (find-cl-run-time-functions): New command for
	the developers.
	(cl-run-time-functions): New variable.
	(TopLevel): Don't require `cl' at run-time.

2001-05-28  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* texi/gnus-ja.texi (Web Newspaper): Updated.

2001-05-28  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/dgnushack.el (dgnushack-unexporting-files): Add
	"nnshimbun.el" if the library "shimbun" is not found.
	(TopLevel): Add "/somewhere/apel/" to `load-path' if it is needed.
	(locate-library): Redefine it for Mule before it is called.

	* README.semi.ja: Update for the use of Emacs-W3M.
	* README.semi: Ditto.
	* Mule23@1934.ja: Ditto.
	* Mule23@1934.en: Ditto.

2001-05-28  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* lisp/nnshimbun.el: Reconstructed to use `shimbun'.

	* lisp/gnus-group.el (gnus-group-make-shimbun-group):
	Reconstructed to use `shimbun'.

	* lisp/dgnushack.el (toplevel): Add paths if and only if APEL and
	FLIM can't be found.

2001-05-17  Kai =?iso-8859-1?q?Gro=DFjohann?=  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* etc/Makefile.in (datadir): Set this variable, like in the other
	Makefile.in's.  Patch from Gaute B Strokkenes <gs234@cam.ac.uk>.

2001-05-16  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/dgnushack.el (dgnushack-bind-colon-keywords): Don't ignore
	`widget-convert-button', `widget-create' and `widget-put'; ignore
	`defface'.

2001-05-14  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus.el: Require `base64' if `base64-encode-string' is not a
	built-in function.

	* lisp/dgnushack.el (dgnushack-bind-colon-keywords): Ignore
	`defgroup'.

2001-05-14  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 01.

	* lisp/nnmail.el: Don't bind the colon keywords here.
	* lisp/gnus.el (gnus-colon-keywords): New variable which will
	default to the value of `dgnushack-colon-keywords'; bind them.
	* lisp/dgnushack.el (dgnushack-unexporting-files): Add
	dgnuskwds.el.
	(dgnushack-colon-keywords): New constant which will have the colon
	keywords shuld be bound at run-time for old Emacsen; cache them in
	the file dgnuskwds.el and bind them.
	(dgnushack-bind-colon-keywords): New function.
	(locate-library): Make the function to be silent for Mule.
	* lisp/Makefile.in (clean): Remove dgnuskwds.el.

2001-05-07  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/message.el (message-maybe-encode): Don't use
	`end-of-invisible'.

2001-05-07  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.4 revision 00.

2001-04-27  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 01.

	* lisp/gnus-art.el (gnus-article-mime-edit-exit): Set buffer to
	`gnus-article-buffer' just before `gnus-article-prepare-display' is
	called.
	(gnus-article-mime-edit-article-setup): Ditto.
	(gnus-article-prepare-display): Don't bind `buffer-read-only'
	because of `inhibit-read-only'; don't set the value of
	`gnus-article-current-summary' here; delete all extents or overlays
	and clear the value of `gnus-button-marker-list' in advance; make
	it to run in `gnus-article-buffer'.
	(gnus-article-prepare): Make it to run in `gnus-article-buffer'.
	(article-toggle-headers): Don't bind `buffer-read-only' because of
	`inhibit-read-only'.
	(article-hide-headers): Ditto.

2001-04-16  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.3 revision 00.

2001-04-16  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.2 revision 00.

2001-04-16  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.1 revision 00.

2001-04-13  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/lpath.el: Fbind `xml-parse-region' for XEmacsen and old FSF
	Emacsen; don't bind `mh-lib-progs'.

2001-04-10  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/nnshimbun.el: Enclose w3m stuff with `eval-and-compile';
	bind `w3m-work-buffer-name' and `w3m-retrieve' when compiling.

2001-04-09  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 10.

2001-04-03  TSUCHIYA Masatoshi  <tsuchiya@pine.kuee.kyoto-u.ac.jp>

	* lisp/nnshimbun.el (nnshimbun-type-definition: Follow changes in
	asahi.com.
	(nnshimbun-asahi-get-headers): Ditto.
	(nnshimbun-retrieve-url): Use `w3m-retrieve' if it is available.

2001-04-02  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-msg.el (gnus-inews-yank-articles): Make it to work with
	multiple articles even if there is a detached minibuffer frame on
	some window managers.

2001-03-21  Thierry Emery <thierry.emery@club-internet.fr>

	* lisp/mm-decode.el (mm-copy-to-buffer): Copy buffer in unibyte
	mode.

2001-03-19  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-kill.el (gnus-execute): Work with the extra headers.
	* lisp/gnus-sum.el (gnus-summary-execute-command): Ditto.

2001-03-13  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/message.el (message-fix-before-sending): Hide again the
	invisible property of encoded binary data parts after checking is
	done.
	(message-find-invisible-regions): New function.
	(message-save-drafts, message-send): Inherit the invisible property
	of encoded binary data parts to make MIME-Edit find the MIME part
	boundaries.

	* lisp/dgnushack.el (dgnushack-compose-package): Tidy up.
	(dgnushack-make-load): Ditto.

2001-03-12  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/dgnushack.el (dgnushack-compose-package): New function.
	(dgnushack-make-load): Add autoload for cus-load if it is missing.

	* lisp/Makefile.in (compose-package): Use
	`dgnushack-compose-package'.
	(clean, clever): Remove custom-load.el.

	* Makefile.in (elclean): Remove custom-load.el.

2001-03-08  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-art.el (gnus-article-prepare-display): Setup MIME
	entity even if `gnus-show-mime' is nil.

2001-03-08  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/dgnushack.el: Load gnus-clfns.el after `load-path' is
	adjusted.

	* lisp/gnus-clfns.el (string): New compiler macro.
	(string): Defun-maybe as an ordinary function since it won't be
	provided in cl.
	* lisp/gnus-score.el (gnus-score-find-bnews): Use it as Gnus does.

2001-03-06  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/nnshimbun.el (nnshimbun-retrieve-url): Check if
	`url-current-mime-charset' is bound.

2001-03-04  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus.el (gnus-info-find-node): Pretend to be
	`gnus-article-mode' in the article buffer.

2001-03-02  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/nnshimbun.el (nnshimbun-kinsoku-eol-list): Simplified.
	(nnshimbun-kinsoku-bol-list): Ditto.

2001-03-01  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 09.

	* lisp/gnus-offline.el (gnus-offline-get-menu-items): Rewrite using
	`dolist'.

	* lisp/gnus-group.el (gnus-group-make-shimbun-group): Simplified.

	* lisp/dgnushack.el: Load cl-macs to ensure that the macro `dolist'
	is defined properly.

2001-02-28  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/nnwfm.el: Require `gnus-clfns' when compiling.
	* lisp/nnshimbun.el: Ditto.
	* lisp/nnfolder.el: Ditto.
	* lisp/mm-util.el: Ditto.
	* lisp/gnus-vers.el: Ditto.
	* lisp/gnus-sum.el: Ditto.
	* lisp/gnus-score.el: Ditto.
	* lisp/gnus-nocem.el: Ditto.

	* lisp/gnus-ofsetup.el: Don't require `gnus-clfns'.
	(gnus-ofsetup-customize-done): Use `dolist' instead of `mapc'.
	(gnus-setup-for-offline): Ditto.

	* lisp/gnus-offline.el: Don't use `mapc' for binding some vars;
	don't require `gnus-clfns'.

	* lisp/gnus-clfns.el (subseq, merge, coerce, butlast): New compiler
	macros.
	(mapc): Remove.

	* lisp/gnus-art.el: Use `dolist' instead of `mapcar' for defining
	`gnus-article-read-summary-keys'.

2001-02-28  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-art.el (gnus-article-mime-edit-article-setup): Leave
	the forwarded parts undecoded.
	(gnus-article-decode-article-as-default-mime-charset): Set the
	value of `default-mime-charset' buffer-locally.

2001-02-27  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus.el: Add autoloads for
	`gnus-summary-digest-post-forward' and
	`gnus-summary-digest-mail-forward'.

	* lisp/gnus-sum.el (gnus-summary-post-menu): Replace
	`gnus-uu-digest-mail-forward' and `gnus-uu-digest-post-forward'
	with `gnus-summary-digest-post-forward' and
	`gnus-summary-digest-mail-forward'.

	* lisp/gnus-msg.el (gnus-summary-digest-post-forward): Restore and
	repair the command `gnus-summary-post-digest' and rename it.
	(gnus-summary-digest-mail-forward): Ditto.
	(gnus-summary-send-map): Replace `gnus-uu-digest-mail-forward' and
	`gnus-uu-digest-post-forward' with
	`gnus-summary-digest-post-forward' and
	`gnus-summary-digest-mail-forward'.

2001-02-27  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-sum.el (gnus-summary-show-article): Bind
	`gnus-inhibit-treatment' to t while fetching the raw article.

	* lisp/gnus-art.el (gnus-article-mime-edit-exit): Bind
	`mime-edit-insert-user-agent-field' to nil while `mime-edit-exit'
	is being done;  turn off font-lock first;  query if the buffer is
	modified.
	(gnus-article-mime-edit-done): New function.
	(gnus-article-mime-edit-article-setup): Make the window fill its
	frame;  clear the buffere modified flag;  substitute key definition
	`gnus-article-edit-done' with `gnus-article-mime-edit-done';  don't
	turn off font-lock here;  bind `mime-edit-insert-user-agent-field'
	to nil while `mime-edit-exit' is being done.
	(gnus-article-mime-edit-article-unwind): Turn off font-lock first.

2001-02-23  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/dgnushack.el: Don't require `emu'.

2001-02-16  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/message.el (message-forward-subject-author-subject): Decode
	`From' field.

2001-02-16  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 08.

	* lisp/gnus-sum.el (gnus-get-newsgroup-headers-xover): Don't use
	`gnus-retrieve-parsed-headers' when the backend is nnimap.  It is
	only a temporary fix for an infloop on nnimap.  FIXME!!!
	(gnus-select-newsgroup): Ditto.

2001-02-16  Katsumi Yamaoka <yamaoka@jpl.org>

	* texi/gnus-ja.texi (New features in Gnus 5.8): Remove annotation
	about `gnus-article-display-hook.'
	* texi/gnus-faq-ja.texi (Q2.1): Remove mention of
	`gnus-article-display-hook.'

	* lisp/gnus.el (gnus-article-display-hook): Abolished.

	* lisp/gnus-uu.el (gnus-uu-grab-articles): Don't care about
	`gnus-article-display-hook'.
	* lisp/gnus-sum.el (gnus-summary-show-article): Ditto.
	(gnus-summary-search-article): Ditto.

	* lisp/gnus-bbdb.el (gnus-bbdb-insinuate): Use
	`gnus-article-prepare-hook' instead of `gnus-article-display-hook'.

	* lisp/gnus-art.el (gnus-article-prepare-display): Evaluate
	`gnus-article-prepare-hook' after an article has been prepared;
	don't evaluate `gnus-article-display-hook'.

2001-02-15  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/message.el (message-cite-original-without-signature):
	Extract from field for the simple citation line.

2001-02-14  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 07.

	* lisp/dgnushack.el (dgnushack-make-autoloads): Remove function.
	(dgnushack-make-load): Ignore cus-load.el if it does not exist.
	(dgnushack-make-auto-load): Remove auto-autoloads.el.
	(dgnushack-make-cus-load): Do nothing if loading cus-dep is failed.

	* lisp/Makefile.in (clean): Remove gnus-load.el instead of
	custom-load.el.
	(compose-package): Call `gnus-load.elc' and then rename
	gnus-load.el(c) to auto-autoloads.el(c) instead of the use of
	`dgnushack-make-autoloads'.
	(clever): No need to remove custom-load.el.

	* Makefile.in (elclean): Remove gnus-load.el instead of
	custom-load.el.

	* aclocal.m4 (AC_CHECK_URL): Ignore cache.

2001-02-13  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 06.

2001-02-11 18:00:00  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* GNUS-NEWS: Copyright and others.

2001-02-09 20:00:00  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* aclocal.m4 (AC_CHECK_URL): Add.

	* configure.in: Use it.

2001-02-08  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/nnshimbun.el (nnshimbun-fml-get-headers): Fix unbalanced
	parentheses.

2001-02-08  Akihiro Arisawa  <ari@atesoft.advantest.co.jp>

	* lisp/nnshimbun.el: Add `bbdb-ml' support.

2001-02-02  Akihiro Arisawa  <ari@atesoft.advantest.co.jp>

	* lisp/nnshimbun.el (nnshimbun-type-definition): Follow URL change
	of `xemacs'.
	(nnshimbun-xemacs-get-headers): Ditto.

2001-02-06  Katsumi Yamaoka <yamaoka@jpl.org>

	* README-gnus-bbdb.{en,ja}: Update the patch for BBDB v2.2.

2001-02-01  Katsumi Yamaoka <yamaoka@jpl.org>

	* texi/Makefile.in (.texi, %.info): Don't use makeinfo command when
	gnus-ja.texi or message-ja.texi is given.  It is needed for some
	make command if which can not understand "%-ja:" or "%-ja.info:".

2001-01-31  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-sum.el (gnus-summary-display-article): Replace
	`mm-enable-multibyte-mule4' with `set-buffer-multibyte'.

2001-01-29  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-art.el (gnus-article-mime-edit-exit): Use
	`buffer-substring-no-properties' instead of `format'.

2001-01-23  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* texi/ptexinfmt.el: Support @letterpaper and @afivepaper.

2001-01-22  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 05.

	* Makefile.in (install-package-lisp): Use
	`install-without-compiling' instead of `install'.

	* lisp/Makefile.in (install): Use `install-without-compiling'.
	(install-without-compiling): New target.

2001-01-22  Katsumi Yamaoka <yamaoka@jpl.org>

	* texi/Makefile.in (.texi, %.info, %-ja.info, %-ja): Use
	`infohack-texi-format'.

	* texi/infohack: (infohack-texi-format): New function.
	* lisp/dgnushack.el (dgnushack-texi-format): Move to
	texi/infohack.el and rename.
	(dgnushack-texi-add-suffix-and-format): Remove.

	* texi/ptexinfmt.el: New file.
	* lisp/ptexinfmt.el: Move to texi/.

2001-01-18  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 04.

2001-01-17  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/dgnushack.el (dgnushack-make-autoloads): Do nothing if the
	files for autoloads already exist.
	(dgnushack-unexporting-files): More useful message.

	* lisp/Makefile.in (install): Call `clever' before installing.
	(install-lisp): Remove.
	(clever): Check for whether the all elc files should be recompiled.

	* Makefile.in (xclever): New target.
	(install-package-lisp): Replace `install-lisp' with `install'.
	(install-package-ja): Replace `xlick' with `xclever'.
	(install-package): Ditto.

2001-01-17  KOSEKI Yoshinori  <kose@wizard.tamra.co.jp>

	* Makefile.in: Unset `PWD' for Meadow/NTEmacs.

2001-01-15  Jesper Harder <harder@ifa.au.dk>

	* make.bat: Fix doc.

2001-01-15  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/nnheader.el: Require `pces', `poem' and `std11' to reduce
	the required value of `recursive-load-depth-limit' for Emacs 21.

	* lisp/message.el (message-followup): Handle "Mail-Copies-To:"
	correctly.
	(message-get-reply-headers): Ditto.

2001-01-15  Keiichi Suzuki  <keiichi@nanap.org>

	* lisp/gnus-bbdb.el (gnus-bbdb/update-record): Save excursion
	while `bbdb-annotate-message-sender' is being done.

2001-01-13  Kinji Itoh  <kinji-i@ma.neweb.ne.jp>

	* Makefile.in (install-package-lisp): Specify EMACS=$(XEMACS).

2001-01-11  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-msg.el (gnus-copy-article-buffer): Remove smiley
	extents for XEmacs 21.1 using `format'.

	* lisp/dgnushack.el (dgnushack-texi-format): Cancel last change.

2001-01-10  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 03.

	* lisp/gnus.el: Don't autoload "smiley" for `smiley-toggle-buffer';
	don't autoload "gnus-bitmap" or "x-face-mule" when Emacs 21 is
	running.

	* lisp/gnus-art.el (TopLevel): Autoload "gnus-bitmap" for
	`smiley-toggle-buffer' when compiling.
	(gnus-treatment-function-alist): Use `gnus-smiley-display' for
	`gnus-treat-display-smileys' by default when XEmacs or Emacs 21 is
	running.
	(gnus-treat-display-smileys): Check for `smiley-mule' instead of
	`gnus-bitmap'.
	(gnus-article-x-face-command): Don't check for xbm for x-face-e21.

2001-01-05  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 02.

	* lisp/dgnushack.el (dgnushack-texi-format): Remove "@anchor" if it
	is not supported.

2000-12-26  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus.el: Bind `:parameter-type', `:parameter-document',
	`:function', `:function-document', `:variable',
	`:variable-document', `:variable-group', `:variable-type' and
	`:variable-default' for old Emacsen.

2000-12-22  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-vers.el (gnus-revision-number): Increment to 01.

	* configure: Regenerate.
	* configure.in: Add `AC_PATH_ETCDIR'.
	* Makefile.in (install-etc): New target.

	* lisp/nnheader.el (mm-image-load-path): Alias to
	`nnheader-image-load-path'.
	(nnheader-image-load-path): New function copied from
	the function `mm-image-load-path' in mm-util.el.

	* lisp/drums.el: Remove.

2000-12-22 03:00:00  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* configure.in: Add etc/Makefile.

2000-12-22  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-msg.el (gnus-debug): Use `sit-for' in the inside of
	`save-excursion'.
	(gnus-bug): Pop up the sending buffer first.

	* lisp/gnus-art.el (article-treat-dumbquotes): Quote backslashes in
	doc-string.

	* lisp/dgnushack.el
	(byte-compile-file-form-custom-declare-variable): Use `defvar'
	instead of `custom-declare-variable' to make the variable
	uncustomizable if the arguments has the keyword `:version'.

2000-12-22  Katsuhiro Hermit Endo  <hermit@koka-in.org>

	* README.semi.ja: Fix typo.

2000-12-21  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/lpath.el: Fbind `compose-mail' for Mule.

	* lisp/dgnushack.el (TopLevel): Byte-optimize
	`custom-declare-variable', `custom-declare-group, and
	`custom-declare-face' to omit unsupported keywords when Mule is
	running.

2000-12-20  Katsumi Yamaoka <yamaoka@jpl.org>

	* lisp/gnus-vers.el: T-gnus 6.15.0 revision 00.

	* lisp/dgnushack.el (TopLevel): Advise `custom-handle-keyword' not
	to signal an error when Mule is running.
	(TopLevel): Bind `:ascent', `:foreground', `:help', `:version' and
	`:set-after' if colon keyword is not available.
	(TopLevel): Require `custom'.

	* lisp/lpath.el (TopLevel): Fbind `shell-command-to-string' for
	Mule.
	(TopLevel): Don't require `custom' here.

2000-12-20  Jesper Harder <jesper_harder@hotmail.com>

	* make.bat: set max-lisp-eval-depth.

See ChangeLog.3 for earlier changes.

;; Local Variables:
;; coding: iso-2022-7bit
;; End:
